%W. B. Langdon matlab code to generate generate A176296 
%WBL 8 Dec 2010 based on parity_values.awk r1.3 $Revision: 1.6 $ 

%inputs: order, eg order=4

%Convert gawk to Octave
%Remove fancy latex formating an verbose comments
%dont display eigenvalues multiplicities (num)

%matlab arrays start at 1

%/opt/matlabR2010b/bin/matlab

%order = 4
function A176296(order)
  fprintf('#Created by A176296.m $Revision: 1.6 $ order=%d %s\n',order,date);

  prev = [0 2]; Nprev=2; %Eigen values for Order 2 parity
  top = 0;
  num = zeros(1,2000);
  for k=2:order
    for i=1:top num(i) = 0; end
    top=0;
    fprintf('k=%2d ',k);
    for i=1:Nprev
    if i==1 || prev(i) %first element is always zero
      num(1+prev(i)) = num(1+prev(i))+1;
      if (1+prev(i)) > top
      top = (1+prev(i));
      end%if
    end%if
    end%for
    N=0;
    for i=1:top
      if i==1 || num(i)
	N = N+1;
	fprintf('%d ',i-1);
      end%if
    end%for
    fprintf('\n');
    if k >= order break; end %no need to calculate next k
    [out,len] = lambda(prev,Nprev,k+1);
    for i=1:Nprev prev(i) = 0; end
    for i=1:len
    if i==1 || out(i) %first element is always zero
      prev(i) = out(i);
      if i > Nprev Nprev = i; end%if
      out(i) = 0;
    end%if
    end%for
  end%for
